# Dynamic Path Aliases

Define dynamic path aliases via YAML configuration editor without creating individual aliases for every entity. For
example, change `/user/1234` and `/user/1234/edit` to `/profile/1234` and`/profile/1234/edit` respectively. Or change
`/node/1234` and `/node/1234/edit` for the article content type to `/article/1234` and `/article/1234/edit`
respectively. Traditionally, site builders would install [Pathauto](https://www.drupal.org/project/pathauto) to
facilitate similar behavior by automatically creating URL aliases using patterns. Pathauto is only necessary if the
aliases must include additional replacement patterns such as the title or field values.

## Usage

1. Download and install the `drupal/dynamic_path_aliases` module. Recommended install method is composer:
   ```
   composer require drupal/dynamic_path_aliases
   ```
2. Go to /admin/config/search/dynamic-path-aliases to configure.
3. Set configuration and save changes.
